Bug 2030710

Summary: Plocate as the default locate implementation
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: bcotton, bugzilla, msekleta
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-10 14:41:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2052433    
Bug Blocks: 1982279    

Description Ben Cotton 2021-12-09 14:37:06 UTC
This is a tracking bug for Change: Plocate as the default locate implementation
For more details, see: https://fedoraproject.org/wiki/Changes/Plocate_as_the_default_locate_implementation

The venerable mlocate program is replaced by plocate — a compatible reimplementation that is faster and uses less disk space.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Zbigniew Jędrzejewski-Szmek 2021-12-10 08:40:45 UTC
https://pagure.io/fedora-comps/pull-request/701

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-12-11 15:41:24 UTC
The pull request has been merged.
Composes use the new package, e.g. the latest rawhide compose installs plocate:
https://openqa.fedoraproject.org/tests/1084389/file/_collect_data-rpms.log

Comment 3 Ben Cotton 2022-02-08 21:07:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 36 development cycle.
Changing version to 36.

Comment 4 Ben Cotton 2022-05-10 14:41:45 UTC
F36 was released today. If this Change did not land in the release, please notify bcotton as soon as possible.